Rapid7 Vulnerability & Exploit Database

Apple QuickTime Code Execution Vulnerability

Back to Search

Apple QuickTime Code Execution Vulnerability

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
10/27/2004
Created
07/25/2018
Added
01/25/2005
Modified
12/04/2013

Description

Certain versions of QuickTime are vulnerable to an integer overflow attack, which can lead to the execution of arbitrary code from within an HTML environment. Successful exploitation yields the privileges of the QuickTime process.

Solution(s)

  • windows-quicktime-code-exec

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;